
#![allow(dead_code)]
#[cfg(test)]
mod entity_tests {
    use crate::foundation::core::entity::Entity;

    #[test]
    fn it_works() {
        let e = Entity::new(0, 0);
        assert_eq!(e.entity_rid(), 0);
        assert_eq!(e.entity_version(), 0);
    }
}
